--- old/usr/src/lib/libproc/common/Pcore.c	2013-01-23 13:19:03.801165384 +0000
+++ new/usr/src/lib/libproc/common/Pcore.c	2013-01-23 13:19:03.818907094 +0000
@@ -587,7 +587,6 @@
 	return (0);
 }
 
-#ifdef __sparc
 static int
 note_xreg(struct ps_prochandle *P, size_t nbytes)
 {
@@ -600,17 +599,20 @@
 
 	if ((xregs = malloc(xbytes)) == NULL)
 		return (-1);
-
+#ifdef __sparc
 	if (read(P->asfd, xregs, xbytes) != xbytes) {
+#else
+	panic("port me");
+#endif
 		dprintf("Pgrab_core: failed to read NT_PRXREG\n");
 		free(xregs);
 		return (-1);
 	}
-
 	lwp->lwp_xregs = xregs;
 	return (0);
 }
 
+#ifdef __sparc
 static int
 note_gwindows(struct ps_prochandle *P, size_t nbytes)
 {
@@ -689,11 +691,7 @@
 	note_notsup,		/*  1	NT_PRSTATUS (old)	*/
 	note_notsup,		/*  2	NT_PRFPREG (old)	*/
 	note_notsup,		/*  3	NT_PRPSINFO (old)	*/
-#ifdef __sparc
 	note_xreg,		/*  4	NT_PRXREG		*/
-#else
-	note_notsup,		/*  4	NT_PRXREG		*/
-#endif
 	note_platform,		/*  5	NT_PLATFORM		*/
 	note_auxv,		/*  6	NT_AUXV			*/
 #ifdef __sparc
